# `MD035` - Horizontal rule style

Tags: `hr`

Aliases: `hr-style`

Parameters:

- `style`: Horizontal rule style (`string`, default `consistent`)

This rule is triggered when inconsistent styles of horizontal rules (also known
as "thematic breaks") are used in a document:

```markdown
---

- - -

***

* * *

****
```

To fix this, use the same horizontal rule syntax everywhere:

```markdown
---

---

---
```

The `style` parameter's default value `consistent` ensures all horizontal rules
in a document match the first horizontal rule in that document. To enforce a
specific pattern of characters, set the `style` parameter to that string (e.g.,
`"* * *"`).

Note: In order to be recognized as a horizontal rule, a line must contain three
or more matching `-`, `_`, or `*` characters with optional space between.

Rationale: Consistent formatting makes it easier to understand a document.
